Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040221
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Tests StabilizationminorN/A2019-02-15 12:352019-07-01 19:14
Reportergorka_gilView Statuspublic 
Assigned Togorka_gil 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision1a442e1ea287
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040221: pi-mobile: update selenium to 3.141

Descriptionpi-mobile: update selenium to 3.141
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0041213RR19Q1.2 closedgorka_gil pi-mobile: update selenium to 3.141 

-  Notes
(0109874)
hgbot (developer)
2019-02-15 13:53

Repository: tools/automation/pi-mobile
Changeset: 1a442e1ea287df5042a50c7937e3389cd8df5c86
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Feb 15 13:44:57 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1a442e1ea287df5042a50c7937e3389cd8df5c86 [^]

Fixes issue 40221: update selenium-server to 3.141.59

---
M .classpath.template
M build.xml
M lib/test/chromedriver-default
M lib/test/selenium-server-default.jar
M lib/test/stopChrome.sh
M src-test/org/openbravo/test/mobile/core/selenium/SeleniumHelper.java
A lib/test/choosables/selenium-server-standalone-3.141.59.jar
A lib/test/commons-codec-1.11.jar
A lib/test/commons-io-2.6.jar
A lib/test/hamcrest-2.1.jar
A lib/test/netty-3.2.8.Final.jar
A lib/test/netty-handler-4.1.32.Final.jar
A lib/test/selenium-java-client/CHANGELOG
A lib/test/selenium-java-client/LICENSE
A lib/test/selenium-java-client/NOTICE
A lib/test/selenium-java-client/client-combined-3.141.59-sources.jar
A lib/test/selenium-java-client/client-combined-3.141.59.jar
A lib/test/selenium-java-client/libs/byte-buddy-1.8.15.jar
A lib/test/selenium-java-client/libs/commons-exec-1.3.jar
A lib/test/selenium-java-client/libs/guava-25.0-jre.jar
A lib/test/selenium-java-client/libs/okhttp-3.11.0.jar
A lib/test/selenium-java-client/libs/okio-1.14.0.jar
A lib/test/stopHWManager.sh
A lib/test/stopSelenium.sh
A lib/test/testng-7.0.0-20190101.122719-63.jar
R lib/test/stop.sh
---
(0109875)
hgbot (developer)
2019-02-15 13:53

Repository: tools/automation/pi-mobile
Changeset: 46b77d7e5f52463414e0ed47b7bf1c7703ceb203
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Feb 15 13:45:36 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/46b77d7e5f52463414e0ed47b7bf1c7703ceb203 [^]

Related to issue 40221: workaround some tests to work with selenium 3.141

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I31850_VerifyDiscountByPaymentMethod.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multidiscounts/Multidiscounts_FixedPercentageByTotal.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multidiscounts/Multidiscounts_VariableAmountByTotal.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multidiscounts/Multidiscounts_VariablePercentageByTotal.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multidiscounts/Multidiscounts_WithAutomaticPromotions.java
---
(0110158)
hgbot (developer)
2019-03-01 18:33

Repository: tools/automation/pi-mobile
Changeset: 46fae37f2e6619389f09c285d774ec65d7af208b
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Mar 01 18:31:43 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/46fae37f2e6619389f09c285d774ec65d7af208b [^]

Related to issue 40221: Re added wait for selenium start. Change stop order selenium before chrome

---
M build.xml
---

- Issue History
Date Modified Username Field Change
2019-02-15 12:35 gorka_gil New Issue
2019-02-15 12:35 gorka_gil Assigned To => gorka_gil
2019-02-15 12:35 gorka_gil Triggers an Emergency Pack => No
2019-02-15 13:53 hgbot Checkin
2019-02-15 13:53 hgbot Note Added: 0109874
2019-02-15 13:53 hgbot Status new => resolved
2019-02-15 13:53 hgbot Resolution open => fixed
2019-02-15 13:53 hgbot Fixed in SCM revision => http://code.openbravo.com/tools/automation/pi-mobile/rev/1a442e1ea287df5042a50c7937e3389cd8df5c86 [^]
2019-02-15 13:53 hgbot Checkin
2019-02-15 13:53 hgbot Note Added: 0109875
2019-03-01 11:59 marvintm Review Assigned To => marvintm
2019-03-01 11:59 marvintm Status resolved => closed
2019-03-01 11:59 marvintm Fixed in Version => RR19Q2
2019-03-01 18:33 hgbot Checkin
2019-03-01 18:33 hgbot Note Added: 0110158
2019-07-01 19:13 gorka_gil Status closed => new
2019-07-01 19:13 gorka_gil Resolution fixed => open
2019-07-01 19:13 gorka_gil Fixed in Version RR19Q2 =>
2019-07-01 19:14 gorka_gil Status new => scheduled
2019-07-01 19:14 gorka_gil Status scheduled => resolved
2019-07-01 19:14 gorka_gil Resolution open => fixed
2019-07-01 19:14 gorka_gil Status resolved => closed
2019-07-01 19:14 gorka_gil Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker